Loading...
Searching...
No Matches
gtsam::MultiplyWithInverse< N > Struct Template Reference

## Detailed Description

template<int N>
struct gtsam::MultiplyWithInverse< N >

Functor that implements multiplication of a vector b with the inverse of a matrix A.

The derivatives are inspired by Mike Giles' "An extended collection of matrix derivative results for forward and reverse mode algorithmic differentiation", at https://people.maths.ox.ac.uk/gilesm/files/NA-08-01.pdf

## Public Member Functions

VectorN | operator() (const MatrixN &A, const VectorN &b, OptionalJacobian< N, N *N > H1=boost::none, OptionalJacobian< N, N > H2=boost::none) const
| A.inverse() * b, with optional derivatives.

## Public Types

typedef Eigen::Matrix< double, N, 1 > | VectorN
typedef Eigen::Matrix< double, N, N > | MatrixN

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/Matrix.h